<div class="add-coc-referral">
    <app-content-banner [isDashboard]="false" pageName="Add CoC Referral Queue"></app-content-banner>
    <mat-card class="coc-main-card mat-elevation-z0">
      <mat-card-header fxLayout="column" fxLayoutGap="10px">
          <div class="top-header-filter regular-mat-form-field" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="50px" fxLayoutAlign="center" >
            
              <div class="left-text" >
                <mat-label style="font-weight: 600;">HRA Client ID: &nbsp; </mat-label>     
                <mat-form-field appearance="outline">
                    <input matInput  [(ngModel)]="selectedClient" digitOnly>  
                 </mat-form-field>           
              </div>
              <div class="right-text">
                <mat-label style="font-weight: 600;">HRA Referral Date: &nbsp;</mat-label>
                <mat-form-field appearance="outline">
                    <input matInput [matDatepicker]="referralDatePicker" dateOnly placeholder="MM/DD/YYYY" maxlength="10" [max]="now" [(ngModel)]="selectedDate">
                    
                    <mat-icon matSuffix (click)="referralDatePicker.open()" style="cursor:pointer; color:#777;">today
                      </mat-icon>
                        <mat-datepicker #referralDatePicker></mat-datepicker>
                 </mat-form-field>
                
              </div>
              <div>
                <button (click)="onRefresh()" mat-raised-button color="primary">GO</button>
              </div>
              
            </div>
      </mat-card-header>
      <mat-card-content>
        <div class="example-small-box mat-elevation-z4" fxLayout="column">
          <div class="example-container mat-elevation-z4">
              <div fxLayout="row" fxLayout.lt-md="column">
                  <div fxLayout="column" fxLayoutAlign="start" style="width: 100%">
                    <ag-grid-angular
                      #agGrid id="myGrid"
                      style="width: 100%"
                      class="ag-theme-balham my-grid"
                      [columnDefs]="columnDefs"
                      [defaultColDef]="defaultColDef"
                      [rowData]="rowData"
                      (rowSelected)="onRowSelected($event)" 
                      [rowSelection]="rowSelection"
                      [animateRows]="true"
                      [gridOptions]="gridOptions"                            
                      (gridReady)="onGridReady($event)"
                      [overlayLoadingTemplate]="overlayLoadingTemplate"
                      [overlayNoRowsTemplate]="overlayNoRowsTemplate"> 
                    </ag-grid-angular>
                  </div>
                </div>
          </div>
          
        </div> 
        <div style="margin-left:45%;padding-top:50px">
          <button *ngIf="add_btn_visible" mat-raised-button  color="primary" type="button"  (click)="onAddClick()" [disabled]="add_btn_disable">Add CoC Referral</button>
        </div>
      </mat-card-content>
    </mat-card>
  </div>
  